Appointments

List a client's appointments

GET /v1/clients/{id}/appointments

Scope: appointments:read

ParameterInRequired
idpathYes
viewqueryNo
pagequeryNo
pageSizequeryNo
membershipIdqueryNo
serviceIdqueryNo
cancellationqueryNo
withNotequeryNo
statusesqueryNo
fromqueryNo
toqueryNo

Appointments in a date range

GET /v1/calendar

Scope: appointments:read

ParameterInRequired
fromqueryYes
toqueryYes
locationIdqueryNo
includeCancelledqueryNo

Book an appointment

POST /v1/appointments

Scope: appointments:create

Body fieldTypeRequired
locationIdstring uuidYes
clientIdNo
datestring dateYes
startTimestringYes
servicesarrayYes
noteNo
notificationsobjectNo
customobjectNo
overridebooleanNo
repeatobjectNo
skipConflictsbooleanNo
requestedbooleanNo

Get an appointment

GET /v1/appointments/{id}

Scope: appointments:read

ParameterInRequired
idpathYes

Reschedule or edit an appointment

PATCH /v1/appointments/{id}

Scope: appointments:update

ParameterInRequired
idpathYes
If-MatchheaderNo
Body fieldTypeRequired
clientIdNo
datestring dateNo
startTimestringNo
membershipIdstring uuidNo
roomIdNo
servicesarrayNo
noteNo
notificationsobjectNo
notifyNo
applyTostringNo
customobjectNo
overridebooleanNo
requestedbooleanNo

Change appointment status

POST /v1/appointments/{id}/status

Scope: appointments:update

ParameterInRequired
idpathYes
Body fieldTypeRequired
statusstringNo
customStatusIdNo
overridebooleanNo
waiveFeebooleanNo
notifyNo

Cancel an appointment

POST /v1/appointments/{id}/cancel

Scope: appointments:delete

ParameterInRequired
idpathYes
Body fieldTypeRequired
reasonIdNo
notestringNo
scopestringNo
waiveFeebooleanNo
feeOverrideintegerNo
notifyNo